> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api/alias-formats.md).

# Alias-Formats

| Format                               | Description                                                                                   |
| ------------------------------------ | --------------------------------------------------------------------------------------------- |
| UUID                                 | Generic - VGS Alias (Default) - tok\_sandbox\_xxxxxxxxxxxxxxxxxxxxxxxxx                       |
| NUM\_LENGTH\_PRESERVING              | Generic - Numeric Length Preserving - xxxxxxxxxxxxxxxx                                        |
| FPE\_SIX\_T\_FOUR                    | Payment Card - Format Preserving, Luhn Valid (6T4) - \<first\_six>xxxxxx\<last\_four>         |
| FPE\_T\_FOUR                         | Payment Card - Format Preserving, Luhn Valid (T4) - xxxxxxxxxxxx\<last\_four>                 |
| PFPT                                 | Payment Card - Prefixed, Luhn Valid, 19 Digits Fixed Length - xxxxxxxxxxxxxxxxxxx             |
| NON\_LUHN\_FPE\_ALPHANUMERIC         | Payment Card - Format Preserving - Non Luhn Valid - xxxxxxxxxxxxxxxx                          |
| FPE\_SSN\_T\_FOUR                    | SSN - Format Preserving (A4) - xxx-xx-\<last\_four>                                           |
| FPE\_ACC\_NUM\_T\_FOUR               | Account Number - Numeric Length Preserving (A4) - xxxxxxxxxxxx\<last\_four>                   |
| FPE\_ALPHANUMERIC\_ACC\_NUM\_T\_FOUR | Account Number - Alphanumeric Length Preserving (A4) - xxxxxxxxxxxx\<last\_four>              |
| GENERIC\_T\_FOUR                     | Generic - VGS Alias Last Four (T4) - tok\_sandbox\_xxxxxxxxxxxxxxxxxxxxxxxxx\_\<last\_four>   |
| RAW\_UUID                            | Generic - UUID - xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx                                         |
| ALPHANUMERIC\_SIX\_T\_FOUR           | Numeric - Include Alphanumeric, 19 symbols length (6T4) - \<first\_six>xxxxxxxxx\<last\_four> |
| VGS\_FIXED\_LEN\_GENERIC             | Generic - VGS Alphanumeric Fixed Length, 29 characters - vgsxxxxxxxxxxxxxxxxxxxxxxxxxx        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api/alias-formats.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
